Get first response time distribution by channel
Get the distribution of first response times grouped by channel type. Returns conversation counts in different time buckets (0-1h, 1-4h, 4-8h, 8-24h, 24h+) for each channel type.
Note: This API endpoint is available only in Chatwoot version 4.11.0 and above.
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
since?stringThe timestamp from where report should start (Unix timestamp).
until?stringThe timestamp from where report should stop (Unix timestamp).
Success
application/json- response
First response time distribution report grouped by channel type. Shows the count of conversations with first response times in different time buckets.
[key: string]?First response time distribution for a specific channel type (e.g., Channel::WebWidget, Channel::Api)
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports/first_response_time_distribution'{ "property1": { "0-1h": 0, "1-4h": 0, "4-8h": 0, "8-24h": 0, "24h+": 0 }, "property2": { "0-1h": 0, "1-4h": 0, "4-8h": 0, "8-24h": 0, "24h+": 0 }}